Bug 1267261 (CVE-2015-8324) - CVE-2015-8324 kernel: Null pointer dereference when mounting ext4
Summary: CVE-2015-8324 kernel: Null pointer dereference when mounting ext4
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8324
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151123,reported=2...
Depends On: 1266862
Blocks: 1267262
TreeView+ depends on / blocked
 
Reported: 2015-09-29 13:31 UTC by Adam Mariš
Modified: 2019-06-08 20:46 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way the Linux kernel's ext4 file system driver handled certain corrupted file system images. An attacker with physical access to the system could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2015-11-24 10:22:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0855 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-10 22:43:57 UTC

Description Adam Mariš 2015-09-29 13:31:54 UTC
It was reported that there are some exit points in ext4_fill_super which result in destruction of workqueue which is not yet initialized, leading to kernel NULL pointer dereference.

Oops report can be found in product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1266862

CVE request:

http://seclists.org/oss-sec/2015/q4/357

CVE assignment:

http://seclists.org/oss-sec/2015/q4/360

Upstream fix (only part of the commit is related):

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=744692dc059845b2a3022119871846e74d4f6e11

Comment 3 Vladis Dronov 2015-11-23 09:16:25 UTC
Statement:

This problem did not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 7 and MRG-2.

Comment 6 Adam Mariš 2015-12-09 09:27:04 UTC
Acknowledgements:

Red Hat would like to thank Dmitriy Monakhov of OpenVZ project for reporting this issue.

Comment 7 errata-xmlrpc 2016-05-10 23:16:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0855 https://rhn.redhat.com/errata/RHSA-2016-0855.html


Note You need to log in before you can comment on or make changes to this bug.